version: "3"

services:
  nextjs-app:
    image: node:20.11.0-alpine
    ports:
      - "5002:3000"
    working_dir: /app
    volumes:
      - /mnt/storage/DEV/workspace/repos/git.d-popov.com/next-cart-app/next-cart-app:/app
    environment:
      - NODE_ENV=test
    command: /bin/sh -c "npm install && npx prisma generate && npm run test;  tail -f /dev/null" # Install dependencies and start the app
